package core;

/**
 * A representation of an edge of the board.
 * @author Felix Reidl
 */
public enum BoardEdge {

    LEFT(1, 0), RIGHT(-1, 0), TOP(0, 1), BOTTOM(0, -1);
    public final int mx, my;

    BoardEdge(int mx, int my) {
	this.mx = mx;
	this.my = my;
    }

    public BoardEdge other() {
	if (this == LEFT) {
	    return RIGHT;
	} else if (this == RIGHT) {
	    return LEFT;
	} else if (this == TOP) {
	    return BOTTOM;
	} else {
	    return TOP;
	}
    }

    @Override
    public String toString() {
	return this.name();
    }
}
